<br/>
<br/>
<div class="container">
  <h1>Admin</h1>
  <%= link_to 'Profile', admin_show_path(id: current_user.id) %>

  <br/>

  <div class="row">
    <div class="card col-3 mx-3 text-center">
      <h1><i class="fa fa-user"></i></h1>
      <div><%= User.all.count %></div>
      <div>Total Users</div>
    </div>
    <div class="card col-3 mx-3 text-center">
      <h1><i class="fa fa-user"></i></h1>
      <div><%= User.where(role: @admin_role).count %></div>
      <div>Admins</div>
    </div>
    <div class="card col-3 mx-3 text-center">
      <h1><i class="fa fa-user"></i></h1>
      <div><div><%= User.where(role: @teamleader_role).count %></div></div>
      <div>Team Leaders</div>
    </div>
  </div>

  <br/>
  <br/>
  <div class="row">
    <div class="card col-3 mx-3 text-center">
      <h1><i class="fa fa-user"></i></h1>
      <div><div><%= User.where(role: @medicalofficer_role).count %></div></div>
      <div>Medical Officer</div>
    </div>
    <div class="card col-3 mx-3 text-center">
      <h1><i class="fa fa-user"></i></h1>
      <div><div><%= User.where(role: @doctor_role).count %></div></div>
      <div>Doctors</div>
    </div>
    <div class="card col-3 mx-3 text-center">
      <h1><i class="fa fa-user"></i></h1>
      <div><div><%= User.where(role: @volunteer_role).count %></div></div>
      <div>Volunteers</div>
    </div>
  </div>

  <br/>

  <%= link_to 'Add User', 'add_user', class: 'btn btn-danger'%>

  <br/>
  <br/>

  <div>
    <%= form_tag 'index', method: :get do %>
      <div class="input-group">
        <%= text_field_tag :search, {}, class: 'form-control mx-2', placeholder: 'Name or Email' %>
        <%= submit_tag 'Search', class: 'btn btn-danger mx-2' %>
        <%= submit_tag 'Show All', class: 'btn btn-danger mx-2' %>
      </div>
    <% end %>
  </div>

  <br/>

  <table class="table table-striped table-bordered" id="users_table">
    <thead>
    <tr>
      <th class="col-4">Name</th>
      <th class="col-4">Email</th>
      <th class="col-4">Options</th>
    </tr>
    </thead>
    <tbody>
    <% @users.each do |user| %>
      <tr>
        <td class="col-4"><%= user.name %></td>
        <td class="col-4"><%= user.email %></td>
        <td class="col-4">
          <%= link_to 'Edit', admin_edit_user_path(id: user.id), class: 'btn btn-danger mx-1 my-1'%>
          <% if user.is_banned %>
            <%= link_to 'Allow', admin_allow_user_path(id: user.id), method: :post, class: 'btn btn-danger mx-1 my-1' %>
          <% else %>
            <%= link_to 'Ban', admin_ban_user_path(id: user.id), method: :post, class: 'btn btn-danger mx-1 my-1' %>
          <% end %>
          <%= link_to 'Delete', admin_delete_path(id: user.id), method: :post, class: 'btn btn-danger mx-1 my-1' %>
        </td>
      </tr>
    <% end %>
    </tbody>
  </table>
</div>

<br/>
<br/>
<br/>